/**
 * @Author: zhangtq 2452618307@qq.com
 * @Date: 2024-11-04 15:56:23
 * @LastEditors: zhangtq 2452618307@qq.com
 * @LastEditTime: 2024-11-28 11:58:47
 * @FilePath: src/api/screen/screen.js
 * @Description: 这是默认设置,可以在设置》工具》File Description中进行配置
 */

import request from '@/utils/request'
//获取工程数据 -echarts
export function getProData(params) {
  return request({
    url: '/project/screen/getProData',
    method: 'get',
    params,
  })
}

//获取施工人员信息
export function getPersonData(params) {
  return request({
    url: '/project/screen/getPersonData',
    method: 'get',
    params,
  })
}

//获取施工人员信息
export function getEquipData(params) {
  return request({
    url: '/project/screen/getEquipData',
    method: 'get',
    params,
  })
}
//获取视频列表
export function getVideoList(params) {
  return request({
    url: '/project/screen/getVideoList',
    method: 'get',
    params,
  })
}
//获取地图数据
export function getProjectMapData(params) {
  return request({
    url: '/project/screen/getProjectMapData',
    method: 'get',
    params,
  })
}
//获取工程下拉项
export function getProSelect(params) {
  return request({
    url: '/project/screen/getProSelect',
    method: 'get',
    params,
  })
}
//存储图片
export function insertCapture(params) {
  return request({
    url: '/project/screen/insertCapture',
    method: 'post',
    data: params,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  })
}
//查询抓拍图片
export function selectSnapPhoto(params) {
  return request({
    url: '/project/screen/selectSnapPhoto',
    method: 'get',
    params,
  })
}
//查询抓拍图片列表
export function selectSnapPhotoList(params) {
  return request({
    url: '/project/screen/selectSnapPhotoList',
    method: 'get',
    params,
  })
}
//查询视频日志
export function selectVideoLogList(params) {
  return request({
    url: '/schedule/job/selectVideoLogList',
    method: 'get',
    params,
  })
}
//查询设备列表
export function selectVideoList(params) {
  return request({
    url: '/project/screen/selectVideoList',
    method: 'get',
    params,
  })
}
//查询设备前端录像
export function getBallVideoWeb(params) {
  return request({
    url: '/schedule/job/getBallVideoWeb',
    method: 'get',
    params,
  })
}
//查询设备前端录像
export function selectVideoLoginInfo(params) {
  return request({
    url: '/project/screen/selectVideoLoginInfo',
    method: 'get',
    params,
  })
}
//查询设备前端录像
export function getProInfo(params) {
  return request({
    url: '/project/screen/getProInfo',
    method: 'get',
    params,
  })
}
//查询人员信息  根据工程id
export function getPersonInfo(params) {
  return request({
    url: '/project/screen/getPersonInfo',
    method: 'get',
    params,
  })
}
//查询工器具信息 根据工程id
export function getEquipInfo(params) {
  return request({
    url: '/project/screen/getEquipInfo',
    method: 'get',
    params,
  })
}
//修改抓拍照片状态
export function updateViolationStatus(params) {
  return request({
    url: '/project/screen/updateViolationPhotoStatus',
    method: 'post',
    data: params,
  })
}
//修改设备名称
export function updateDeviceNameApi(data) {
  return request({
    url: '/project/screen/updateDeviceName',
    method: 'post',
    data,
  })
}
